# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate onig

Name:           rust-%{crate}
Version:        4.2.1
Release:        1%{?dist}
Summary:        Set of rust bindings for the oniguruma regular expression library

License:        MIT
URL:            https://crates.io/crates/onig
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(bitflags/default) >= 1.0.0 with crate(bitflags/default) < 2.0.0)
BuildRequires:  (crate(lazy_static/default) >= 1.2.0 with crate(lazy_static/default) < 2.0.0)
BuildRequires:  (crate(libc/default) >= 0.2.0 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(onig_sys/default) >= 69.0.0 with crate(onig_sys/default) < 70.0.0)
BuildRequires:  (crate(onig_sys/posix-api) >= 69.0.0 with crate(onig_sys/posix-api) < 70.0.0)
BuildRequires:  (crate(onig_sys/print-debug) >= 69.0.0 with crate(onig_sys/print-debug) < 70.0.0)

%global _description \
Rust-Onig is a set of Rust bindings for the Oniguruma regular expression\
library. Oniguruma is a modern regex library with support for multiple\
character encodings and regex syntaxes.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE.md
%doc onig_README README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+posix-api-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+posix-api-devel %{_description}

This package contains library source intended for building other packages
which use "posix-api" feature of "%{crate}" crate.

%files       -n %{name}+posix-api-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+print-debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+print-debug-devel %{_description}

This package contains library source intended for building other packages
which use "print-debug" feature of "%{crate}" crate.

%files       -n %{name}+print-debug-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+std-pattern-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-pattern-devel %{_description}

This package contains library source intended for building other packages
which use "std-pattern" feature of "%{crate}" crate.

%files       -n %{name}+std-pattern-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Nov 13 2018 Josh Stone <jistone@redhat.com> - 4.2.1-1
- Update to 4.2.1

* Sat Nov 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.2.0-2
- Adapt to new packaging

* Sat Sep 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.2.0-1
- Update to 4.2.0

* Mon Sep 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.1.0-1
- Initial package
